/*
 * Copyright (c) 2003-2023 Rony Shapiro <ronys@pwsafe.org>.
 * All rights reserved. Use of the code is allowed under the
 * Artistic License 2.0 terms, as specified in the LICENSE file
 * distributed with this code, or available from
 * http://www.opensource.org/licenses/artistic-license-2.0.php
 */

#ifndef _VERSION_H_
#define _VERSION_H_

// version.h is created in the source tree from version.in via
// pre_build.vbs (deprecated - build via cmake is the main build path)
//
// version.h is also created in the specified build directory
// by cmake using version.in as the template
//
// In both cases, the version information is retrieved from the toplevel version.mfc file.
//
// When building via cmake in the build directory, make sure version.h
// is *not* in the source tree.

// Format: Major, Minor, Revision
//   Revision  = 0 for all Formally Released versions
//   Revision != 0 for all Intermediate versions
// Full information shown in AboutBox; only Major & Minor are displayed in initial dialog

// Following for PWSversion
#define PWS_VERSION_MAJOR 3
#define PWS_VERSION_MINOR 64
#define PWS_REVISION 1
#ifdef _DEBUG
/* #undef PWS_SPECIALBUILD */
#else
/* #undef PWS_SPECIALBUILD */
#endif
#define PWS_VERSTRING L"heads/pr1049-0-g2110c7bbd+"

// Following for resource file / properties
#define PWS_PRODUCTVER      3, 64, 1

#ifdef _DEBUG
#define PWS_PRODUCTVER_STR  "3.64.1pre heads/pr1049-0-g2110c7bbd+ (Debug)"
#else
#define PWS_PRODUCTVER_STR  "3.64.1pre heads/pr1049-0-g2110c7bbd+"
#endif

#define PWS_FILEVER         3, 64, 1
#define PWS_FILEVER_STR     "3.64.1pre heads/pr1049-0-g2110c7bbd+"

/* #undef PWS_PRIVATEBUILD_STR */
#define PWS_SPECIALBUILD_STR   "pre"

#define PWS_DESCRIBE_STR    "heads/pr1049-0-g2110c7bbd+"

#define PWS_TIMESTAMP_STR  "2023-10-30 20:51:29 +0200"
#define PWS_REPO_URL_STR   "git@github.com:pwsafe/pwsafe.git"

#endif // _VERSION_H_
